summaryrefslogtreecommitdiffstats
path: root/system/xiccd
diff options
context:
space:
mode:
Diffstat (limited to 'system/xiccd')
-rw-r--r--system/xiccd/README21
-rw-r--r--system/xiccd/slack-desc19
-rw-r--r--system/xiccd/xiccd.SlackBuild98
-rw-r--r--system/xiccd/xiccd.info10
4 files changed, 148 insertions, 0 deletions
diff --git a/system/xiccd/README b/system/xiccd/README
new file mode 100644
index 0000000000..d9456eca04
--- /dev/null
+++ b/system/xiccd/README
@@ -0,0 +1,21 @@
+xiccd
+
+xiccd is a simple bridge between colord and X. It does the following
+tasks:
+
+ * Enumerates displays and register them in colord;
+ * Creates default ICC profiles based on EDID data;
+ * Applies ICC profiles provided by colord;
+ * Maintains user's private ICC storage directory.
+
+It does basically the same as gnome-settings-daemon color plugin or
+colord-kde but does not depend on any particular desktop. It even
+doesn't depend on GTK so it doesn't create useless GTK3 dependency if
+the desktop environment is GTK2-based or vice versa. The primary goal of
+xiccd is providing color profile support for desktop environments other
+than Gnome and KDE (Xfce, LXDE and probably others) that do not support
+native color management yet. It is however not meant to be excuse of not
+adding native color management to the session daemons of them.
+
+xiccd is distributed under the terms of GNU General Public License
+version 3 or later.
diff --git a/system/xiccd/slack-desc b/system/xiccd/slack-desc
new file mode 100644
index 0000000000..718724ec7c
--- /dev/null
+++ b/system/xiccd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xiccd: xiccd (xiccdxiccd is a simple bridge between colord and X.)
+xiccd:
+xiccd: xiccd is a simple bridge between colord and X.
+xiccd: It does the following tasks:
+xiccd: * Enumerates displays and register them in colord;
+xiccd: * Creates default ICC profiles based on EDID data;
+xiccd: * Applies ICC profiles provided by colord;
+xiccd: * Maintains user's private ICC storage directory.
+xiccd: It does basically the same as colord-kde
+xiccd:
+xiccd:
diff --git a/system/xiccd/xiccd.SlackBuild b/system/xiccd/xiccd.SlackBuild
new file mode 100644
index 0000000000..1bea39bd94
--- /dev/null
+++ b/system/xiccd/xiccd.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/bash
+# Slackware build script for xiccd
+# Copyright 2023 Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PRGNAM=xiccd
+VERSION=${VERSION:-0.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf "$PRGNAM"-"$VERSION"
+tar xvf $CWD/"$PRGNAM"-"$VERSION".*
+cd "$PRGNAM"-"$VERSION"
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+autoreconf -i
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README AUTHORS COPYING ChangeLog NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/xiccd/xiccd.info b/system/xiccd/xiccd.info
new file mode 100644
index 0000000000..cca21ae165
--- /dev/null
+++ b/system/xiccd/xiccd.info
@@ -0,0 +1,10 @@
+PRGNAM="xiccd"
+VERSION="0.3.0"
+HOMEPAGE="https://github.com/agalakhov/xiccd"
+DOWNLOAD="https://github.com/agalakhov/xiccd/archive/v0.3.0/xiccd-0.3.0.tar.gz"
+MD5SUM="87a22a231c807566a250c3065073e737"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="colord"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo-xiccd_2023-05-08@lockywolf.net"